import dotenv from "dotenv";

if (process.env.NODE_ENV === "development") {
    dotenv.config({
        path: "../.env",
    });
    dotenv.config({
        path: "../db.env",
    });

    process.env.TYPEORM_HOST = "localhost";
    process.env.NOCTBOT_ADDR = "localhost";
    process.env.TYPEORM_USERNAME = process.env.DB_USERNAME;
    process.env.TYPEORM_PASSWORD = process.env.DB_PASSWORD;
    process.env.TYPEORM_DATABASE = process.env.DB_NAME;
}

export interface BotEnvironment {
    clientId: string;
    redirectUrl: string;
    clientSecret: string;
}

export const ENVIRONMENT: BotEnvironment = {
    clientId: process.env.BOT_CLIENT_ID ?? "",
    redirectUrl: process.env.WEB_AUTH_URI ?? "",
    clientSecret: process.env.BOT_CLIENT_SECRET ?? "",
};

export const IS_VALID = process.env.BOT_CLIENT_ID !== undefined
                        && process.env.WEB_AUTH_URI !== undefined
                        && process.env.BOT_CLIENT_SECRET !== undefined;
